<?php
/**
 * Clase Base Bean para BaseRhPensionPeriodoBN
 *
 * @package    Sedapal
 * @subpackage BaseRhPensionPeriodoBN
 * @author     Willy
 * @version    SVN:: BaseRhPensionPeriodoBN.class.php,v 1.1 2015-01-25 15:09:40 william.taype Exp $
 */
abstract class BaseRhPensionPeriodoBN
{
  protected $IdPeriodo;
  protected $Estado;
  protected $Mensaje;
  protected $Error;

  public function getIdPeriodo(){
    return $this->IdPeriodo;
  }
  public function setIdPeriodo($v1){
    $this->IdPeriodo = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Rh_pension_periodoBN desde un RecordSet */
  public static function retrieveByRs( $o_Rh_pension_periodoRs )
  {
    $o_RhPensionPeriodoBN = new RhPensionPeriodoBN();
    $o_RhPensionPeriodoBN->setIdPeriodo( $o_Rh_pension_periodoRs['IdPeriodo'] );
    $o_RhPensionPeriodoBN->setEstado( $o_Rh_pension_periodoRs['Estado'] );
    return $o_RhPensionPeriodoBN;
  }
}